[package]
name = "cruciverb-server"
version = "0.1.0"
edition.workspace = true
license.workspace = true

[[bin]]
name = "cruciverb-server"
path = "src/main.rs"

[dependencies]
cruciverb-core = { workspace = true }
axum = { workspace = true }
tokio = { workspace = true }
tower-http = { workspace = true }
serde = { workspace = true }
serde_json = { workspace = true }
uuid = { workspace = true }
tracing = { workspace = true }
tracing-subscriber = { workspace = true }
rusqlite = { workspace = true }
chrono = { workspace = true }
rand = { workspace = true }
reqwest = { workspace = true, features = ["json", "blocking"] }
p256 = "0.13.2"
sha2 = "0.10.9"
ciborium = "0.2.2"
base64 = "0.22.1"
hex = "0.4.3"
aes-gcm = "0.10"
ammonia = "4"
argon2 = "0.5"
tower = { version = "0.5.3", features = ["timeout"] }
rsa = { version = "0.9.10", features = ["pem"] }
